{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2004-2010      Martin Wodrich, http://www.martinwodrich.de  }
{ (c) 2008-2010 FreeXP, http://www.freexp.de                      }
{                                                                 }
{ Dieser Quelltext ist Freeware.                                  }
{                                                                 }
{ Die allgemeinen Nutzungsbedingungen fuer diesen Quelltext       }
{ finden Sie in der Datei TOUCH.TXT oder auf                      }
{ http://www.martinwodrich.de/Software/Touch/nutzung.htm          }
{ --------------------------------------------------------------- }
{ $Id: touch1.pas,v 1.7 2010/06/26 12:34:12 mw Exp $ }
{ Betriebsystemabhngige Routinen }
unit touch1;

interface
{$I TOUCH.INC }

uses touch0,{$IFDEF Win16}windos{$ELSE}{$IFDEF unix1}dos,oldlinux{$ELSE}dos{$ENDIF}{$ENDIF};

{$IFDEF unix1}
function ftime2epoch(ftime:longint):longint;
function unixsetftime(path:pathstr; etime:longint):boolean;
{$ENDIF}

implementation

{$IFDEF unix1}
function ftime2epoch(ftime:longint):longint;
var dt: DateTime;
begin
  UnPackTime(ftime,dt);
  ftime2epoch:=LocalToEpoch(dt.Year,dt.Month,dt.Day,dt.Hour,dt.Min,dt.Sec);
end;

function unixsetftime(path:pathstr; etime:longint):boolean;
var utim:utimbuf;
begin
  utim.actime:=etime;
  utim.modtime:=etime;
  unixsetftime:=Utime(path,utim);
end;
{$ENDIF}

end.
{
  $Log: touch1.pas,v $
  Revision 1.7  2010/06/26 12:34:12  mw
  - Release 1.4.1

  Revision 1.6  2010/06/20 15:33:50  mw
  - Sync mit Touch-Distrie

  Revision 1.5  2010/06/13 12:59:24  mw
  - Touch 1.4.1

  Revision 1.4  2008/12/26 18:37:14  mw
  - Aktualisierung auf Version 3.45

  Revision 1.3  2008-01-01 20:21:37  mw
  MW: - Wir haben jetzt 2008, und ich gebe Touch in den allgemeinen FreeXP-Pool

  Revision 1.2  2007-07-28 19:40:10  mw
  MW: - Update auf TOUCH 1.4.0

  Revision 1.1  2006/09/24 09:16:27  mw
  MW: - Update auf Touch 1.3.1

}

