{ --------------------------------------------------------------- }
{ Dieser Quelltext ist urheberrechtlich geschuetzt.               }
{ (c) 2004-2010      Martin Wodrich, http://www.martinwodrich.de  }
{ (c) 2008-2010 FreeXP, http://www.freexp.de                      }
{                                                                 }
{ Dieser Quelltext ist Freeware.                                  }
{                                                                 }
{ Die allgemeinen Nutzungsbedingungen fuer diesen Quelltext       }
{ finden Sie in der Datei TOUCH.TXT oder auf                      }
{ http://www.martinwodrich.de/Software/Touch/nutzung.htm          }
{ --------------------------------------------------------------- }
{ $Id: touch0.pas,v 1.8 2010/06/26 12:34:12 mw Exp $ }
{ Globale Konstanten }
unit touch0;

interface

{$I TOUCH.INC }

const anyfile=$21;
      beta='.1';
      version='1.4'+beta;
      touchname='Touch '+version;
      copyright=' (c) 2003-2010 by Martin Wodrich';

      { Betriebsystemstrings }
      {$IFDEF MSDOS}
        {$IFDEF BPLFN}
           pform = ' (DOS16,LFN)';
        {$ELSE}
           pform = ' (DOS16,NON LFN)';
        {$ENDIF}
      {$ENDIF}
      {$IFDEF DPMI}
      pform = ' (DPMI16)';
      {$ENDIF}
      {$IFDEF Win16}
      pform = ' (WIN16)';
      {$ENDIF}
      {$IFDEF Dos32}
      pform = ' (DOS32)';
      {$ENDIF}
      {$IFDEF Win32}
      pform = ' (WIN32)';
      {$ENDIF}
      {$IFDEF Win64}
      pform = ' (WIN64)';
      {$ENDIF}
      {$IFDEF Linux}
      {$IFDEF CPU64}
      pform = ' (Linux,x86_64)';
      {$ELSE}
      pform = ' (Linux,i386)';
      {$ENDIF}
      {$ENDIF}  
      {$IFDEF OS2}
        {$IFDEF BP}
        pform = ' (OS2,16 Bit)';
        {$ELSE}
        pform = ' (OS2,EMX)';
        {$ENDIF}
      {$ENDIF}   

      { Betriebsystemabhngiges }
      {$IFNDEF unix}
      OSDirSeparator = '\';
      Paramark = '/';
      CR='';    
      {$ELSE}
      OSDirSeparator = '/';
      Paramark = '-';
      CR=#13;       
      {$ENDIF}

implementation

end.
{
  $Log: touch0.pas,v $
  Revision 1.8  2010/06/26 12:34:12  mw
  - Release 1.4.1

  Revision 1.7  2010/06/22 17:14:12  mw
  - Touch kann nicht fr WinCE compiliert werden.

  Revision 1.6  2010/06/13 12:59:24  mw
  - Touch 1.4.1

  Revision 1.5  2008/12/26 18:37:14  mw
  - Aktualisierung auf Version 3.45

  Revision 1.4  2008-01-01 20:21:37  mw
  MW: - Wir haben jetzt 2008, und ich gebe Touch in den allgemeinen FreeXP-Pool

  Revision 1.3  2007-07-28 19:40:10  mw
  MW: - Update auf TOUCH 1.4.0

  Revision 1.2  2006/10/28 10:00:29  mw
  MW: - Update auf Touch 1.3.2

  Revision 1.1  2006/09/24 09:16:27  mw
  MW: - Update auf Touch 1.3.1
}
